<!-- {% extends "base.html" %} -->
{% import 'bootstrap/wtf.html' as wtf %}

{% block app_content %}
<section class="bg-gray py-5">
    <div class="container">
        <form method="post">
            <!-- Post Your ad start -->
            <fieldset class="border border-gary p-4 mb-5">
                {{form.csrf_token()}}
				<div class="row">
                    <div class="col-lg-12">
                        <h3>发布通知</h3>
                    </div>
                    <div class="col-lg-6">
                        <h6 class="font-weight-bold pt-4 pb-1">{{form.courseID.label.text}}</h6>
                        {{form.courseID}}
                    </div>
                    <div class="col-lg-12">
                        <h6 class="font-weight-bold pt-4 pb-1">{{form.topic.label.text}}</h6>
                        {{form.topic}}
                    </div>
                    <div class="col-lg-12">
                        <h6 class="font-weight-bold pt-4 pb-1">{{form.post.label.text}}</h6>
                        {{form.post}}
                    </div>
				</div>
				<div align="center"><br>
					<a class="center btn btn-primary text-light mt-2 px-5" data-toggle="modal" data-target="#PublishModal">发布</a>
				</div>
            </fieldset>
			<!-- 模态框 -->
			<div class="modal fade" id="PublishModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h4 class="modal-title" id="myModalLabel">发布通知</h4>
						</div>
						<div class="modal-body">通知发布后将无法继续编辑，是否确认发布？</div>
						<div class="modal-footer">
							{{ form.submit(value = "确认发布",class="btn btn-primary") }}
							<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
						</div>
					</div>
				</div>
			</div>
		</form>
    </div>
</section>
{% endblock %}